Page MenuHomePhabricator

Migrate OOjs npm CI job to Nodepool
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2016, 3:53 PM

Change 273135 had a related patch set uploaded (by Jforrester):
Migrate OOJS repos to npm-node-4.3

https://gerrit.wikimedia.org/r/273135

Yep this is blocked. Reason, composer will not be installed on nodepool instead I recommend created a special npm test for some of the code in oojs so code that needs composer will use the new special test but that will be running on nodejs 0.10.

Change 273135 abandoned by Hashar:
Migrate OOJS repos to npm-node-4.3

Reason:
Can not be switched now because the npm entry point on those repositories use composer which is not available.

https://gerrit.wikimedia.org/r/273135

Change 277761 had a related patch set uploaded (by Paladox):
[oojs/core] Switch repo to npm-node-4.3

https://gerrit.wikimedia.org/r/277761

Change 277761 merged by jenkins-bot:
[oojs/core] Switch repo to npm

https://gerrit.wikimedia.org/r/277761

hashar closed this task as Resolved.Apr 1 2016, 6:46 PM
hashar assigned this task to Paladox.
hashar added a subscriber: hashar.

Somehow composer is not/no more needed.

Krinkle moved this task from Inbox to Meta on the OOjs board.Aug 14 2020, 1:49 PM